Skip to main content

## Directive

# Enum Directive

Source

    pub enum Directive {
        Deny,
        Ignore {
            line_number: LineNumber,
            used: Rc<Cell<DirectiveUsed>>,
            inherited: bool,
        },
    }

## Variants§

§

### Deny

By default, tidy always warns against style issues.

§

### Ignore

`Ignore {used: No}` means that an `ignore-tidy-*` directive has been provided, but is unnecessary. `Ignore {used: Yes}` means that it is necessary (i.e. a warning would be produced if `ignore-tidy-*` was not present).

#### Fields

§`line_number: LineNumber`

line on which the ignore was found

§`used: Rc<Cell<DirectiveUsed>>`
§`inherited: bool`

If this ignore is inherited from some higher-level, like from a file-level ignore, we only want to check whether it was used or not (and run the drop bomb) at the end of the file.

## Implementations§

Source§

### impl Directive

Source

#### pub fn set_ignore(&mut self, line_number: LineNumber)

Source

#### fn is_ignore_unused_and_mark_checked(&self) -> Result<(), LineNumber>

Check whether this directive was ignored unnecessary.

## Trait Implementations§

Source§

### impl Debug for Directive

Source§

#### fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more
Source§

### impl Default for Directive

Source§

#### fn default() -> Directive

Returns the “default value” for a type. Read more

## Auto Trait Implementations§

§

### impl !RefUnwindSafe for Directive

§

### impl !Send for Directive

§

### impl !Sync for Directive

§

### impl !UnwindSafe for Directive

§

### impl Freeze for Directive

§

### impl Unpin for Directive

§

### impl UnsafeUnpin for Directive

## Blanket Implementations§

Source§

### impl<T> Any for T
where T: 'static + ?Sized,

Source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
Source§

### impl<T> Borrow<T> for T
where T: ?Sized,

Source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
Source§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

Source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
Source§

### impl<T> From<T> for T

Source§

#### fn from(t: T) -> T

Returns the argument unchanged.

Source§

### impl<T, U> Into<U> for T
where U: From<T>,

Source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

§

### impl<T> Pointable for T

§

#### const ALIGN: usize

The alignment of pointer.
§

#### type Init = T

The type for initializers.
§

#### unsafe fn init(init: <T as Pointable>::Init) -> usize

Initializes a with the given initializer. Read more
§

#### unsafe fn deref<'a>(ptr: usize) -> &'a T

Dereferences the given pointer. Read more
§

#### unsafe fn deref_mut<'a>(ptr: usize) -> &'a mut T

Mutably dereferences the given pointer. Read more
§

#### unsafe fn drop(ptr: usize)

Drops the object pointed to by the given pointer. Read more
Source§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

Source§

#### type Error = Infallible

The type returned in the event of a conversion error.
Source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
Source§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

Source§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
Source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 32 bytes

Size for each variant:

- `Deny`: 0 bytes
- `Ignore`: 32 bytes